#775 closed defect (fixed)

malloc_free_space() is broken

Reported by: lars Owned by: Joel Sherrill
Priority: highest Milestone: 2
Component: score Version: unknown
Severity: critical Keywords:
Cc: bugs@… Blocked By:
Blocking:

Description

The function malloc_free_space() is broken. It returns -1. I think the changes around 2004/11/29 broke this.

Release:
CVS Head

Environment:
Tested on csb337 and pc386 bsp's but I guess this is broken for all bsp.

How-To-Repeat:
Just try to call malloc_free_space(). It returns -1.

Change History (1)

comment:1 Changed on May 20, 2005 at 6:25:18 PM by Joel Sherrill

Status: assignedclosed

State-Changed-From-To: open->closed
State-Changed-Why: This is the fix that was applied on may 2. Index:
regiongetfreeinfo.c
===================================================================
RCS file: /usr1/CVS/rtems/cpukit/rtems/src/regiongetfreeinfo.c,v
retrieving revision 1.2
retrieving revision 1.3
diff -u -r1.2 -r1.3
--- regiongetfreeinfo.c 18 Jan 2005 09:03:44 -0000 1.2
+++ regiongetfreeinfo.c 3 May 2005 22:18:32 -0000 1.3
@@ -9,7 +9,7 @@

  • * $Id: regiongetfreeinfo.c,v 1.2 2005/01/18 09:03:44 ralf

Exp $
+ * $Id: regiongetfreeinfo.c,v 1.3 2005/05/03 22:18:32 joel
Exp $

*/


#if HAVE_CONFIG_H

@@ -75,7 +75,7 @@

_Heap_Get_free_information( &the_region->Memory,

&the_info->Free );

_RTEMS_Unlock_allocator();

  • return RTEMS_INVALID_ADDRESS;

+ return RTEMS_SUCCESSFUL;

}


return RTEMS_INTERNAL_ERROR; /* unreached - only to

remove warnings */

Note: See TracTickets for help on using tickets.